WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: piCore14.0 Beta  (Read 15911 times)

aus9

  • Guest
Re: piCore14.0 Beta
« Reply #90 on: June 06, 2023, 02:46:45 AM »
Hi Paul_123
Another pcre2 missing dep from pcmanfm but below code, it hangs, that is does return to prompt.
On my desktop pcmanfm works for me and another member on jwm so its not all that bad?
Code: [Select]
tce-load -i pcmanfm
hicolor-icon-theme.tcz: OK
gdk-pixbuf-query-loaders: error while loading shared libraries: libpcre2-8.so.0: cannot open shared object file: No such file or directory
librsvg.tcz: OK
wayland-protocols.tcz: OK
xkeyboard-config.tcz: OK
libxkbcommon.tcz: OK
libXi.tcz: OK
dbus.tcz: OK
at-spi2-core.tcz: OK
at-spi2-atk.tcz: OK
libepoxy.tcz: OK
gtk-query-immodules-3.0: error while loading shared libraries: libpcre2-8.so.0: cannot open shared object file: No such file or directory
glib-compile-schemas: error while loading shared libraries: libpcre2-8.so.0: cannot open shared object file: No such file or directory
gtk3.tcz: OK
gtk-update-icon-cache: error while loading shared libraries: libpcre2-8.so.0: cannot open shared object file: No such file or directory
adwaita-icon-theme.tcz: OK
desktop-file-utils.tcz: OK
libexif.tcz: OK
menu-cache.tcz: OK
libfm.tcz: OK
pcmanfm.tcz: OK
tc@box:~$ update-desktop-database: error while loading shared libraries: libpcre2-8.so.0: cannot open shared object file: No such file or directory
update-mime-database: error while loading shared libraries: libpcre2-8.so.0: cannot open shared object file: No such file or directory

those last 2 lines are because I have a exe called update-desktops and its called from my install script

aus9

  • Guest
Re: piCore14.0 Beta
« Reply #91 on: June 06, 2023, 02:54:04 AM »
Hi Paul_123
I am going to stop reporting these missing pcre2 now.

How about we just make it  a dep of Xorg as most members will run a desktop with Xorg?
« Last Edit: June 06, 2023, 02:56:29 AM by aus9 »

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14506
Re: piCore14.0 Beta
« Reply #92 on: June 06, 2023, 03:31:27 AM »
..but the default wm, flwm, doesn’t need pcre2.

aus9

  • Guest
Re: piCore14.0 Beta
« Reply #93 on: June 06, 2023, 04:16:45 AM »
Hi Juanito

EDIT
Quote
for me it makes more sense to say Xorg, flwm, aterm and wbar are required as a minimum for a gui.

so umm Xorg can have it as a dep or not?
« Last Edit: June 06, 2023, 04:26:20 AM by aus9 »

aus9

  • Guest
Re: piCore14.0 Beta
« Reply #94 on: June 06, 2023, 04:49:21 AM »
Hi Paul_123
Can you check glib2-python dep. Apps TAB=size names  pcre3.
This prevents download of libglade-dev

thanks for reading

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14506
Re: piCore14.0 Beta
« Reply #95 on: June 06, 2023, 04:57:02 AM »
so umm Xorg can have it as a dep or not?

In the 32bit repos pcre2 is a recursive dep of Xorg
In the 64bit repo Xorg, flwm, aterm and wbar do not depend on pcre2, so I would suggest not.

Offline Paul_123

  • Administrator
  • Hero Member
  • *****
  • Posts: 1059
Re: piCore14.0 Beta
« Reply #96 on: June 06, 2023, 07:08:00 AM »
Recent packages have transitioned from pcre to a minimum of pcre2.  Lets get the deps in the right spot.  The issue is that I messed up changing glib2.tcz.deps from pcre to pcre2 when I updated it.   I'm not in a spot where I can get on the server to fix until later today.


aus9

  • Guest
Re: piCore14.0 Beta
« Reply #97 on: June 07, 2023, 02:01:26 AM »
Hi Paul_123
mc is working well now thanks.

I will need to rebuild/update gtk2 as leafpad and pcmanfm as they now break during loading
Code: [Select]
[code]SNIP
gtk-query-immodules-2.0: error while loading shared libraries: libpcre.so.1: cannot open shared object file: No such file or directory
gtk2.tcz: OK
leafpad.tcz: OK

Code: [Select]
SNIP
gtk-query-immodules-2.0: error while loading shared libraries: libpcre.so.1: cannot open shared object file: No such file or directory
gtk2.tcz: OK
libfm.tcz: OK
pcmanfm.tcz: OK

cheers
« Last Edit: June 07, 2023, 02:13:50 AM by aus9 »

aus9

  • Guest
Re: piCore14.0 Beta
« Reply #98 on: June 07, 2023, 03:58:30 AM »
Hi Paul_123

I almost succeeded skipping gtk2 and compiled pcmanfm .
but grep has a dep of pcre  and grep is a dep of submitqc and compiletc

I will try changing that dep but can not promise that I will be able to build pcmanfm tonight

aus9

  • Guest
Re: piCore14.0 Beta
« Reply #99 on: June 07, 2023, 06:01:26 AM »
some parts of gtk2 rebuild are dep/ldd with libpcre2 but at least one does not want to party
Code: [Select]
root@box:/tmp/gtk2/usr/local/bin# ldd gtk-demo
linux-vdso.so.1 (0x0000007f9a70b000)
libgdk-x11-2.0.so.0 => /usr/local/lib/libgdk-x11-2.0.so.0 (0x0000007f9a5e0000)
SNIP
libpcre.so.1 => not found

I will have to check again...but my brain can't quite understand it when /usr/local/installed has no pcre or dev loaded

I can't spot anything in Makefile but fresh eyes maybe tomorrow

aus9

  • Guest
Re: piCore14.0 Beta
« Reply #100 on: June 07, 2023, 06:44:09 AM »
at the risk of waffle...tomorrow I think I will build pcmanfm against gtk3 to see if that makes a diff

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14506
Re: piCore14.0 Beta
« Reply #101 on: June 07, 2023, 09:10:24 AM »
It’s possible to have both a direct dep and a recursive dep on a library.

If you recompiled gtk2 against pcre2, then the problem is probably with the recursive dep.

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11162
Re: piCore14.0 Beta
« Reply #102 on: June 07, 2023, 07:15:56 PM »
Hi aus9
The  ldd  command checks for recursive dependencies:
Code: [Select]
tc@E310:~$ ldd /usr/local/bin/editor
        linux-gate.so.1 (0xb7f35000)
        libc.so.6 => /lib/libc.so.6 (0xb7df5000)
        libfltk.so.1.3 => /usr/local/lib/libfltk.so.1.3 (0xb7d35000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7c08000)
        /lib/ld-linux.so.2 (0xb7f36000)
        libXcursor.so.1 => /usr/local/lib/libXcursor.so.1 (0xb7bfe000)
        libXext.so.6 => /usr/local/lib/libXext.so.6 (0xb7bef000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb7bd6000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7bd1000)
        libX11.so.6 => /usr/local/lib/libX11.so.6 (0xb7ad4000)
        libm.so.6 => /lib/libm.so.6 (0xb7a18000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb7a00000)
        libXrender.so.1 => /usr/local/lib/libXrender.so.1 (0xb79f7000)
        libXfixes.so.3 => /usr/local/lib/libXfixes.so.3 (0xb79ef000)
        libxcb.so.1 => /usr/local/lib/libxcb.so.1 (0xb79cf000)
        libXau.so.6 => /usr/local/lib/libXau.so.6 (0xb79ca000)
        libXdmcp.so.6 => /usr/local/lib/libXdmcp.so.6 (0xb79c3000)
tc@E310:~$

If you want to find only direct dependencies, install  binutils.tcz
and try this command:
Code: [Select]
tc@E310:~$ readelf -d /usr/local/bin/editor | grep "Shared library" | cut -d ':' -f2 | busybox tr -d [-]
 libc.so.6
 libfltk.so.1.3
 libstdc++.so.6
tc@E310:~$

aus9

  • Guest
Re: piCore14.0 Beta
« Reply #103 on: June 07, 2023, 10:03:26 PM »
Hi Rich

I have fixed it just now with some new updates I plan to submit shortly. Early testing of pcmanfm starts today and may complete today.
Built against new gtk2

aus9

  • Guest
Re: piCore14.0 Beta
« Reply #104 on: June 08, 2023, 01:24:50 AM »
rebuilt leafpad. To test it for a printer I will need to update against openssl for ghostscript, qpdf, gutenprint and the cups* packages. That will take me some time. EDIT not all need recompiles but some have updates
« Last Edit: June 08, 2023, 01:46:43 AM by aus9 »